@charset "utf-8";
/* 
 * description: css reset
 * author:      dzh ued
 * version:     2.0.0
 * website:     //gw.com.cn/~
*/

/**
 *  remove tap highlight color. eg: orange highlight on some androids
 */
* {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent; /* for some androids */
}

/**
 * 1. set default font family to sans-serif.
 * 2. prevent ios text size adjust after orientation change, without disabling user zoom.
 * 3. force a vertical scrollbar to prevent a jumpy page
 */
html {
    -ms-text-size-adjust: 100%; /* 2 */
    -webkit-text-size-adjust: 100%; /* 2 */
    overflow-y: scroll; /* 3 */
}

/**
 * remove default margin, padding, background, outline, fontsize
 */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, dialog, main, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video
{
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    /*background: transparent;*/
    vertical-align: baseline;
}


/**
 * addresses `font-family` inconsistency between `textarea` and other form
 * elements.
 */
html,button,input,select,textarea {
    font-family: sans-serif;
}

body {
    line-height: 1;
}


/* html5 display definitions
   ========================================================================== */

/**
 * correct `block` display not defined for any html5 element in ie 8/9.
 * correct `block` display not defined for `details` or `summary` in ie 10/11 and firefox.
 * correct `block` display not defined for `main` in ie 11.
 */
article,aside,dialog,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary {
    display: block
}

/**
 * 1. correct `inline-block` display not defined in ie 8/9, firefox 3.
 * 2. normalize vertical alignment of `progress` in chrome, firefox, and opera.
 * 3. correct `inline-block` display not defined in ie 6/7.
 */
audio,canvas,progress,video {
    display: inline-block; /* 1 */
    vertical-align: baseline; /* 2 */
    *display: inline; /* 3 */
    *zoom: 1; /* 3 */
}

/**
 * prevent modern browsers from displaying `audio` without controls.
 * remove excess height in ios 5 devices.
 */
audio:not([controls]) {
    display: none;
    height: 0
}

/**
 * address `[hidden]` styling not present in ie 8/9/10.
 * hide the `template` element in ie 8/9/11, safari, and firefox < 22.
 */
[hidden],template {
    display: none
}


/* links
   ========================================================================== */

/**
 * remove the gray background color from active links in ie 10.
 */

a {
    background: transparent
}

/**
 * improve readability when focused and also mouse hovered in all browsers.
 */

a:active,a:hover {
    outline: 0
}

/* text-level semantics
   ========================================================================== */

/**
 * address styling not present in ie 8/9/10/11, safari, and chrome.
 */

abbr[title],dfn[title] {
    border-bottom: 1px dotted
}

/**
 * address style set to `bolder` in firefox 4 , safari, and chrome.
 */

b,
strong {
    font-weight: bold;
}

/**
 * address styling not present in safari and chrome.
 */

dfn {
    font-style: italic;
}

/**
 * address styling not present in ie 8/9.
 */

mark {
    background: #ff0;
    color: #000;
}

/**
 * address inconsistent and variable font size in all browsers.
 */

small {
    font-size: 80%;
}

/**
 * prevent `sub` and `sup` affecting `line-height` in all browsers.
 */

sub,
sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}

sup {
    top: -0.5em;
}

sub {
    bottom: -0.25em;
}


address,cite,dfn,var {
    font-style: 400
}
abbr,acronym {
    border: 0;
    font-variant: normal
}

ins {
    background-color: #ff9;
    color: #000;
    text-decoration: none
}

mark {
    background-color: #ff9;
    color: #000;
    font-style: italic;
    font-weight: 700
}

del {text-decoration: line-through}


/* embedded content
   ========================================================================== */

/**
 * 1. removes border when inside `a` element in ie 6/7/8/9/10 and firefox 3.
 * 2. improves image quality when scaled in ie 7.
 */
     
img {
    border: 0; /* 1 */
    -ms-interpolation-mode: bicubic; /* 2 */
}
a img {
    border: 0;
}

/**
 * correct overflow not hidden in ie 9/10/11.
 */

svg:not(:root) {
    overflow: hidden;
}

/* grouping content
   ========================================================================== */

/**
 * address differences between firefox and other browsers.
 */

hr {
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    height: 0;
}


/**
 * contain overflow in all browsers.
 */

pre {
    overflow: auto;
    white-space: pre; /* css2 */
    white-space: pre-wrap; /* css 2.1 */
    white-space: pre-line; /* css 3 (and 2.1 as well, actually) */
    word-wrap: break-word; /* ie */
}

/**
 * corrects font family set oddly in ie 6, safari 4/5, and chrome.
 * address odd `em`-unit font size rendering in all browsers.
 */

code,
kbd,
pre,
samp {
    font-family: monospace, monospace;
    _font-family: 'courier new', courier, monospace;
    font-size: 1em;
}

/**
 * 1. addresses css quotes not supported in ie 6/7.
 * 2. addresses `quotes` property not supported in safari 4.
 */
blockquote,q {quotes: none} /* 1 */
blockquote:before,blockquote:after,q:before,q:after {content: '';content: none} /* 2 */


/* forms
   ========================================================================== */

/**
 * known limitation:by default, chrome and safari on os x allow very limited
 * styling of `select`, unless a `border` property is set.
 */

/**
 * 1. correct color not being inherited.
 *    known issue:affects color of disabled elements.
 * 2. correct font properties not being inherited.
 * 3. address margins set differently in ie 6/7, firefox 3 , safari, and chrome.
 * 4. corrects font size not being inherited in all browsers.
 * 5. improves appearance and consistency in all browsers.
 */

button,
input,
optgroup,
select,
textarea {
    color: inherit; /* 1 */
    font: inherit; /* 2 */
    margin: 0; /* 3 */
    font-size: 100%; /* 4 */
    vertical-align: baseline; /* 5 */
    *vertical-align: middle; /* 5 */
}

/**
 * addresses firefox 3  setting `line-height` on `input` using `!important` in the ua stylesheet.
 */
button,
input {
    line-height: normal;
}

/**
 * address `overflow` set to `hidden` in ie 8/9/10/11.
 */
button {
    overflow: visible;
    width: auto;
}

/**
 * address inconsistent `text-transform` inheritance for `button` and `select`.
 * all other form control elements do not inherit `text-transform` values.
 * correct `button` style inheritance in firefox, ie 8/9/10/11, and opera.
 * correct `select` style inheritance in firefox.
 */
button,
select {
    text-transform: none;
}

/**
 * 1. avoid the webkit bug in android 4.0.* where (2) destroys native `audio` and `video` controls.
 * 2. correct inability to style clickable `input` types in ios.
 * 3. improve usability and consistency of cursor style between image-type `input` and others.
 * 4. removes inner spacing in ie 7 without affecting normal text inputs.
 * known issue: inner spacing remains in ie 6.
 */

button,
html input[type="button"], /* 1 */
input[type="reset"],
input[type="submit"] {
    -webkit-appearance: button; /* 2 */
    cursor: pointer; /* 3 */
    *overflow: visible; /* 4 */
}

/**
 * re-set default cursor for disabled elements.
 */
button[disabled],
html input[disabled] {
    cursor: default;
}

/**
 * remove inner padding and border in firefox 4 .
 */
button::-moz-focus-inner,
input::-moz-focus-inner {
    border: 0;
    padding: 0;
}

/**
 * it's recommended that you don't attempt to style these elements.
 * firefox's implementation doesn't respect box-sizing, padding, or width.
 *
 * 1. address box sizing set to `content-box` in ie 8/9/10.
 * 2. remove excess padding in ie 8/9/10.
 * 3. removes excess padding in ie 7.
 * known issue: excess padding remains in ie 6.
 */
input[type="checkbox"],
input[type="radio"] {
    box-sizing: border-box; /* 1 */
    padding: 0; /* 2 */
    *height: 13px; /* 3 */
    *width: 13px; /* 3 */
}

/**
 * fix the cursor style for chrome's increment/decrement buttons. for certain
 * `font-size` values of the `input`, it causes the cursor style of the
 * decrement button to change from `default` to `text`.
 */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    height:auto;
}

/**
 * 1. address `appearance` set to `searchfield` in safari and chrome.
 * 2. address `box-sizing` set to `border-box` in safari and chrome
 *    (include `-moz` to future-proof).
 */
input[type="search"] {
    -webkit-appearance:textfield; /* 1 */
    -moz-box-sizing:content-box;
    -webkit-box-sizing:content-box; /* 2 */
    box-sizing:content-box;
}

/**
 * remove inner padding and search cancel button in safari and chrome on os x.
 * safari (but not chrome) clips the cancel button when the search input has
 * padding (and `textfield` appearance).
 */

input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration {
    -webkit-appearance:none;
}


/**
 * init placeholder's opacity '0.54' to '1' in firefox.
 */
::-webkit-input-placeholder{opacity:1;}
:-moz-placeholder{opacity:1;}
::-moz-placeholder{opacity:1;}
:-ms-input-placeholder{opacity:1;}


/**
 * define consistent border, margin, and padding.
 */
fieldset {
    border:1px solid #c0c0c0;
    margin:0 2px;
    padding:0.35em 0.625em 0.75em;
}

/**
 * 1. corrects color not being inherited in ie 6/7/8/9.
 * 2. corrects text not wrapping in firefox 3.
 * 3. corrects alignment displayed oddly in ie 6/7.
 */
legend {
    border: 0; /* 1 */
    padding: 0;
    white-space: normal; /* 2 */
    *margin-left: -7px; /* 3 */
}

/**
 * 1. removes default vertical scrollbar in ie 6/7/8/9/10/11.
 * 2. improves readability and alignment in all browsers.
 */
textarea {
    overflow:auto;
    vertical-align: top; /* 2 */
}

/**
 * don't inherit the `font-weight` (applied by a rule above).
 * note:the default cannot safely be changed in chrome and safari on os x.
 */
optgroup {
    font-weight: bold;
}

/* tables
   ========================================================================== */

/**
 * init table style.
 */

table {
    border-collapse: collapse;
    border-spacing: 0;
}

td {
    vertical-align: top;
}

/* lists
   ========================================================================== */
ul,ol,li {
    list-style: none;
}

/* others
   ========================================================================== */

/*::-moz-selection { background: #fe57a1; color: #fff; text-shadow: none; }*/
/*::selection { background: #fe57a1; color: #fff; text-shadow: none; }*/


/**
 * disables the default callout shown when you touch and hold a touch target.
 * on iphone os, when you touch and hold a touch target such as a link, safari displays a callout containing information about the link.
 * this property allows you to disable that callout.
 */
.untouchcallout {
    -webkit-touch-callout: none
}

/**
 * the user is not able to select this text in firefox, chrome, safari and ie
 */
.unselectable {
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none
}

/**
 * hide
 */
.hide,.hidden{display:none;}


/**
 * scale images in ie7 more attractively
 */
.ie7 img {-ms-interpolation-mode: bicubic;}

/**
 * prevent bg image flicker upon hover
 */
.ie6 html {filter: expression(document.execcommand("backgroundimagecache", false, true));}


/**
 * float style & clearfix
 * http://www.qianduan.net/new-clearfix.html
 */
.fl{float:left}
.fr{float:right}
.clear{clear:both}
.clearfix:after{visibility:hidden;display:block;font-size:0;content:"\00a0";clear:both;height:0}
* html .clearfix{zoom:1}
*:first-child html .clearfix{zoom:1}
a[disabled]{
    background: #ccc !important;
    color: #fff !important;
    cursor: default !important;
    border: none !important;
}

/**
 * flex-box style
 */
.hbox,.vbox {
    display: -webkit-box; /* old - ios 6-, safari 3.1-6 */
    display: -moz-box; /* old - firefox 19- (buggy but mostly works) */
    display: -ms-flexbox; /* tweener - ie 10 */
    display: -webkit-flex; /* new - chrome */
    display: flex; /* new, spec - opera 12.1, firefox 20  */
    -webkit-box-align: stretch;
    -moz-box-align: stretch;
    -o-box-align: stretch;
    -ms-box-align: stretch;
    box-align: stretch;
}
.hbox {
    -webkit-box-orient: horizontal;
    -moz-box-orient: horizontal;
    -o-box-orient: horizontal;
    -ms-box-orient: horizontal;
    box-orient: horizontal;
    -webkit-flex-direction: row; /* chrome 21  */
    -ms-flex-direction: row; /* wp ie 10 */
    flex-direction: row; /* android 4.4 */
}
.vbox {
    -webkit-box-orient: vertical;
    -moz-box-orient: vertical;
    -o-box-orient: vertical;
    -ms-box-orient: vertical;
    box-orient: vertical;
    -webkit-flex-direction: column; /* chrome 21  */
    -ms-flex-direction: column; /* wp ie 10 */
    flex-direction: column; /* android 4.4 */
}
.hbox > *,.vbox > * {
    display: block;
    -webkit-box-flex: 0;
    -moz-box-flex: 0;
    -o-box-flex: 0;
    -ms-box-flex: 0;
    box-flex: 0;
    -webkit-flex: 0;
    -ms-flex: 0;
    flex: 0;
}
.spacer {
    -webkit-box-flex: 1; /* old - ios 6-, safari 3.1-6 */
    -moz-box-flex: 1; /* old - firefox 19- */
    -o-box-flex: 1;
    -ms-box-flex: 1;
    box-flex: 1;
    width: 1px;
    height: 1px; /* for old syntax, otherwise collapses. */
    -webkit-flex: 1; /* chrome */
    -ms-flex: 1; /* ie 10 */
    flex: 1; /* new, spec - opera 12.1, firefox 20  */
}


/* print styles!
   ========================================================================== */
@media print {
    * {
        background: transparent !important;
        color: black !important;
        text-shadow: none !important;
        filter: none !important;
        -ms-filter: none !important;
    }

    /* using black and white print faster */
    a,a:visited {
        text-decoration: underline;
    }
    a[href]:after {
        content: " ("attr(href) ")";
    }
    abbr[title]:after {
        content: " ("attr(title) ")";
    }
    .ir a:after,a[href^="javascript:"]:after,a[href^="#"]:after {
        content: "";
    }

    /* not display href or javascript links */
    pre,blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }
    thead {
        display: table-header-group;
    }
    tr,img {
        page-break-inside: avoid;
    }
    img {
        max-width: 100% !important;
    }
    @page {
        margin: 0.5cm;
    }
    p,h2,h3 {
        orphans: 3;
        widows: 3;
    }
    h2,h3 {
        page-break-after: avoid;
    }
}
address, caption, cite, code, dfn, em, th, var, optgroup {
    font-style: normal;
    font-weight: normal;
}

/* media queries!
   ========================================================================== */
@media screen and (max-device-width: 480px) {

}

@media all and (orientation: portrait) {

}

@media all and (orientation: landscape) {

}
/* ================================== end =================================== */